#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_with	api		# GST VA-API libraries API [no longer exported as of 1.6.0]

%define		gstapi		1.6
%define		gst_ver		1.19.3
%define		gstpb_ver	1.19.3
%define		gstpd_ver	1.19.3
Summary:	GStreamer plugin to support Video Acceleration API
Summary(pl.UTF-8):	Wtyczka GStreamera obsługująca Video Acceleration API
Name:		gstreamer-vaapi
Version:	1.19.3
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://gstreamer.freedesktop.org/src/gstreamer-vaapi/%{name}-%{version}.tar.xz
# Source0-md5:	9f876a6b01b8e810bf07f9b52e03055d
URL:		https://gstreamer.freedesktop.org/
BuildRequires:	EGL-devel
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	OpenGLESv2-devel
BuildRequires:	OpenGLESv3-devel
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gstreamer-devel >= %{gst_ver}
BuildRequires:	gstreamer-gl-devel >= %{gstpb_ver}
# gstreamer-codecparsers
BuildRequires:	gstreamer-plugins-bad-devel >= %{gstpd_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{gstpb_ver}
%{?with_apidocs:BuildRequires:	hotdoc >= 0.11.0}
BuildRequires:	libdrm-devel >= 2.4.98
BuildRequires:	libva-devel >= 1.6.0
BuildRequires:	libva-drm-devel >= 1.1.0
BuildRequires:	libva-wayland-devel >= 1.1.0
BuildRequires:	libva-x11-devel >= 1.0.3
BuildRequires:	meson >= 0.48.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glesv2)
# libva API versions
BuildRequires:	pkgconfig(libva) >= 0.39.0
BuildRequires:	pkgconfig(libva-drm) >= 0.39.0
BuildRequires:	pkgconfig(libva-wayland) >= 0.39.0
BuildRequires:	pkgconfig(libva-x11) >= 0.39.0
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-devel
BuildRequires:	wayland-devel >= 1.11.0
BuildRequires:	wayland-protocols >= 1.15
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xz
%ifarch %{ix86} %{x8664} x32
BuildRequires:	yasm
%endif
Requires:	glib2 >= 1:2.44.0
Requires:	gstreamer >= %{gst_ver}
Requires:	gstreamer-gl-libs >= %{gstpb_ver}
Requires:	gstreamer-plugins-bad >= %{gstpd_ver}
Requires:	gstreamer-plugins-base >= %{gstpb_ver}
Requires:	libdrm >= 2.4.98
Requires:	libva >= 1.6.0
Requires:	wayland >= 1.11.0
%if %{without api}
Obsoletes:	gstreamer-vaapi-devel < %{version}
Obsoletes:	gstreamer-vaapi-static < %{version}
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gstreamer-vaapi consists in a collection of VA-API based plugins for
GStreamer and helper libraries.

%description -l pl.UTF-8
gstreamer-vaapi zawiera zestaw opartych ma VA-API wtyczek dla
GStreamera i bibliotek pomocniczych.

%package devel
Summary:	Header files for GStreamer VA-API libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek VA-API GStreamera
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer-devel >= %{gst_ver}
Requires:	gstreamer-plugins-base-devel >= %{gstpb_ver}
Requires:	libva-devel >= 1.6.0
Requires:	libva-drm-devel >= 1.1.0
Requires:	libva-wayland-devel >= 1.1.0
Requires:	libva-x11-devel >= 1.0.3
Obsoletes:	gstreamer-vaapi-static < %{version}

%description devel
Header files for GStreamer VA-API helper libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek pomocniczych VA-API GStreamera.

%package apidocs
Summary:	GStreamer VA-API plugins documentation
Summary(pl.UTF-8):	Dokumentacja do wtyczek GStreamera VA-API
Group:		Documentation
BuildArch:	noarch

%description apidocs
GStreamer VA-API plugins documentation.

%description apidocs -l pl.UTF-8
Dokumentacja do wtyczek GStreamera VA-API.

%prep
%setup -q

%build
%meson build \
	--default-library=shared \
	%{!?with_apidocs:-Ddoc=false}

%ninja_build -C build

%if %{with apidocs}
cd build/docs
LC_ALL=C.UTF-8 hotdoc run --conf-file vaapi-doc.json
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_docdir}/gstreamer-%{gstmver}
cp -pr build/docs/vaapi-doc $RPM_BUILD_ROOT%{_docdir}/gstreamer-%{gstmver}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with api}
%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig
%endif

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%if %{with api}
%attr(755,root,root) %{_libdir}/libgstcodecparsers_vpx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstcodecparsers_vpx.so.0
%attr(755,root,root) %{_libdir}/libgstvaapi-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-%{gstapi}.so.1
%attr(755,root,root) %{_libdir}/libgstvaapi-drm-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-drm-%{gstapi}.so.1
%attr(755,root,root) %{_libdir}/libgstvaapi-egl-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-egl-%{gstapi}.so.1
%attr(755,root,root) %{_libdir}/libgstvaapi-glx-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-glx-%{gstapi}.so.1
%attr(755,root,root) %{_libdir}/libgstvaapi-wayland-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-wayland-%{gstapi}.so.1
%attr(755,root,root) %{_libdir}/libgstvaapi-x11-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-x11-%{gstapi}.so.1
%endif
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstvaapi.so

%if %{with api}
%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgstcodecparsers_vpx.so
%attr(755,root,root) %{_libdir}/libgstvaapi-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-drm-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-egl-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-glx-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-wayland-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-x11-%{gstapi}.so
%{_includedir}/gstreamer-1.0/gst/vaapi
%{_pkgconfigdir}/gstreamer-vaapi-1.0.pc
%{_pkgconfigdir}/gstreamer-vaapi-drm-1.0.pc
%{_pkgconfigdir}/gstreamer-vaapi-glx-1.0.pc
%{_pkgconfigdir}/gstreamer-vaapi-wayland-1.0.pc
%{_pkgconfigdir}/gstreamer-vaapi-x11-1.0.pc
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_docdir}/gstreamer-%{gstmver}/vaapi-doc
%endif
%changelog
* Tue Nov 30 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer-vaapi.git;a=log;h=master

* Tue Nov 30 2021 Jan Rękorajski <baggins@pld-linux.org> 9b9ef2f
- up to 1.19.3

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 3928624
- rebuild with separate debuginfo build-ids

* Mon Oct 11 2021 Jakub Bogusz <qboosh@pld-linux.org> c4497ff
- updated to 1.18.5; now uses meson+hotdoc

* Fri May 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 0163573
- generalized EGL/OpenGL/OpenGLES dependencies

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 38f8edc
- updated to 1.16.3

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> d01d3ba
- unconditional noarch subpackages

* Mon Mar 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 6dda630
- updated to 1.16.2

* Sat Jul 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 682ea26
- updated dependencies

* Mon Jun 03 2019 Bartek Szady <bszx@bszx.eu> 9460a10
- updated to 1.16.0

* Wed Apr 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 9f0dac7
- updated dependencies

* Wed Dec 26 2018 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 1723c9f
- Updated to 1.14.4

* Sat Nov 10 2018 Jan Rękorajski <baggins@pld-linux.org> 44ca145
- release 3 (by relup.sh)

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> 38c10c2
- release 2 (by relup.sh)

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 0d45bbf
- updated to 1.12.4

* Thu Jul 27 2017 Jakub Bogusz <qboosh@pld-linux.org> edefbb2
- updated to 1.12.2

* Mon Jun 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 8ac14fc
- updated to 1.12.0

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> a44fce0
- noarch apidocs

* Sun Apr 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 65cc08d
- updated to 1.8.1

* Sun Feb 21 2016 Jakub Bogusz <qboosh@pld-linux.org> fe36652
- updated to 1.6.0 from gstreamer site
- libraries are internal now, API is not exported

* Thu Dec 24 2015 Jakub Bogusz <qboosh@pld-linux.org> cd20a05
- non-parallel make install

